---@meta

---@class UWG_VoiceLevelWidget_C : UCommonUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field VoiceLevel UProgressBar
---@field bIsVoiceDetectionEnabled boolean
---@field VoiceCaptureComponent UAudioCaptureComponent
---@field SilenceThreshold double
---@field SilenceEnvelopeAttack double
---@field SilenceEnvelopeRelease double
---@field NoiseThreshold double
---@field MicGain double
---@field AboveNoiseThresholdColor FLinearColor
---@field AboveSilenceThresholdColor FLinearColor
---@field BelowSilenceThresholdColor FLinearColor
local UWG_VoiceLevelWidget_C = {}

function UWG_VoiceLevelWidget_C:EnvelopeParametersUpdated() end
---@param InSilenceThreshold double
---@param InSilenceEnvelopeAttack double
---@param InSilenceEnvelopeRelease double
---@param InNoiseThreshold double
---@param InMicGain double
function UWG_VoiceLevelWidget_C:UpdateMicrophoneParameters(InSilenceThreshold, InSilenceEnvelopeAttack, InSilenceEnvelopeRelease, InNoiseThreshold, InMicGain) end
---@param Context FPaintContext
function UWG_VoiceLevelWidget_C:OnPaint(Context) end
---@param bEnabled boolean
function UWG_VoiceLevelWidget_C:SetVoiceDetectionEnabled(bEnabled) end
---@param EnvelopeValue float
function UWG_VoiceLevelWidget_C:VoiceDetectionEnvelopeUpdated(EnvelopeValue) end
function UWG_VoiceLevelWidget_C:Destruct() end
---@param EntryPoint int32
function UWG_VoiceLevelWidget_C:ExecuteUbergraph_WG_VoiceLevelWidget(EntryPoint) end


